local eventFrame = CreateFrame("Frame")
local QuickHealth = LibStub("LibQuickHealth-1.0")
local sRaidFrames = sRaidFrames

eventFrame:SetScript("OnEvent", function(self)
	QuickHealth.RegisterCallback(self, "HealthUpdated", function(event, GUID, newHealth)
		for unitid in pairs(sRaidFrames:GetAllUnits()) do
			if(GUID == UnitGUID(unitid)) then
				sRaidFrames:UpdateUnitHealth(unitid)
			end
		end
	end);
end);

-- env changement code taken from interruptus
local proxyEnv = {
	UnitHealth = function(...) return QuickHealth.UnitHealth(QuickHealth, ...); end,
}

local _G = getfenv(0);
setmetatable(proxyEnv, { 
	__index    = _G,
	__newindex = function (t, k, v) _G[k] = v end,
})

setfenv(sRaidFrames.UpdateUnitHealth, proxyEnv);

eventFrame:RegisterEvent("PLAYER_LOGIN");